<?xml version="1.0" encoding="utf-8"?>
<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup Label="MultilingualAppToolkit">
    <MultilingualAppToolkitVersion>4.0</MultilingualAppToolkitVersion>
    <MultilingualFallbackLanguage>de-DE</MultilingualFallbackLanguage>
    <TranslationReport Condition="'$(Configuration)' == 'Release'">true</TranslationReport>
    <SuppressPseudoWarning Condition="'$(Configuration)' == 'Debug'">true</SuppressPseudoWarning>
  </PropertyGroup>
  <PropertyGroup>
    <TargetFramework>netstandard2.0</TargetFramework>
    <ProduceReferenceAssembly>true</ProduceReferenceAssembly>
    <NeutralLanguage>en</NeutralLanguage>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <DebugType>portable</DebugType>
    <DebugSymbols>true</DebugSymbols>
  </PropertyGroup>
  <Import Project="$(MSBuildExtensionsPath)\Microsoft\Multilingual App Toolkit\Microsoft.Multilingual.ResxResources.targets" Label="MultilingualAppToolkit" Condition="Exists('$(MSBuildExtensionsPath)\Microsoft\Multilingual App Toolkit\v$(MultilingualAppToolkitVersion)\Microsoft.Multilingual.ResxResources.targets')" />
  <Target Name="MATPrerequisite" BeforeTargets="PrepareForBuild" Condition="!Exists('$(MSBuildExtensionsPath)\Microsoft\Multilingual App Toolkit\Microsoft.Multilingual.ResxResources.targets')" Label="MultilingualAppToolkit">
    <Warning Text="$(MSBuildProjectFile) is Multilingual build enabled, but the Multilingual App Toolkit is unavailable during the build. If building with Visual Studio, please check to ensure that toolkit is properly installed." />
  </Target>
  <ItemGroup>
    <Compile Remove="Behaviour\**" />
    <Compile Remove="Helpers\**" />
    <Compile Remove="Properties\**" />
    <EmbeddedResource Remove="Behaviour\**" />
    <EmbeddedResource Remove="Helpers\**" />
    <EmbeddedResource Remove="Properties\**" />
    <None Remove="Behaviour\**" />
    <None Remove="Helpers\**" />
    <None Remove="Properties\**" />
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="Meziantou.Analyzer" Version="1.0.756">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="NaturalSort.Extension" Version="4.0.0" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.2" />
    <PackageReference Include="NLog" Version="5.1.0" />
    <PackageReference Include="Prism.DryIoc.Forms" Version="8.1.97" />
    <PackageReference Include="Xamarin.Forms" Version="5.0.0.2545" />
    <PackageReference Include="System.Numerics.Vectors" Version="4.5.0" />
    <PackageReference Include="ZXing.Net.MobileX.Forms" Version="3.0.1" />
  </ItemGroup>
  <ItemGroup>
    <Compile Update="Page\AddServerProcess\ChooseAuthTypePage.xaml.cs">
      <DependentUpon>ChooseAuthTypePage.xaml</DependentUpon>
    </Compile>
    <Compile Update="Page\AddServerProcess\AuthPlainPage.xaml.cs">
      <DependentUpon>AuthPlainPage.xaml</DependentUpon>
    </Compile>
    <Compile Update="Page\AddServerProcess\SelectServerPage.xaml.cs">
      <DependentUpon>SelectServerPage.xaml</DependentUpon>
    </Compile>
    <Compile Update="Page\ScanURNPage.xaml.cs">
      <DependentUpon>ScanURNPage.xaml</DependentUpon>
    </Compile>
    <Compile Update="Page\ProfilePage.xaml.cs">
      <DependentUpon>ProfilePage.xaml</DependentUpon>
    </Compile>
    <Compile Update="Page\UserPage.xaml.cs">
      <DependentUpon>UserPage.xaml</DependentUpon>
    </Compile>
    <Compile Update="Page\UserListPage.xaml.cs">
      <DependentUpon>UserListPage.xaml</DependentUpon>
    </Compile>
    <Compile Update="Page\MachineListPage.xaml.cs">
      <DependentUpon>MachineListPage.xaml</DependentUpon>
    </Compile>
    <Compile Update="Page\MainPage.xaml.cs">
      <DependentUpon>MainPage.xaml</DependentUpon>
    </Compile>
    <Compile Update="Page\SettingsPage.xaml.cs">
      <DependentUpon>SettingsPage.xaml</DependentUpon>
    </Compile>
    <Compile Update="Page\SetUpProcess\WelcomePage.xaml.cs">
      <DependentUpon>WelcomePage.xaml</DependentUpon>
    </Compile>
    <Compile Update="Page\StartPage.xaml.cs">
      <DependentUpon>StartPage.xaml</DependentUpon>
    </Compile>
    <Compile Update="Resources\Text\TextResource.Designer.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>TextResource.resx</DependentUpon>
    </Compile>
    <Compile Update="Styles\LightTheme.xaml.cs">
      <DependentUpon>LightTheme.xaml</DependentUpon>
    </Compile>
    <Compile Update="View\MachineListItemView.xaml.cs">
      <DependentUpon>MachineListItemView.xaml</DependentUpon>
    </Compile>
    <Compile Update="View\UserListItemView.xaml.cs">
      <DependentUpon>UserListItemView.xaml</DependentUpon>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Update="Dialog\ConfirmDialog.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Dialog\ScanDialog.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Page\AddServerProcess\SelectServerPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Page\AddServerProcess\ChooseAuthTypePage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Page\AddServerProcess\AuthPlainPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Page\AddUserPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Page\MachinePage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Page\MainPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Page\ScanPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Page\ServerListPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Page\ServerPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Page\SettingsPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Page\SetUpProcess\WelcomePage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Page\StartPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Resources\Text\TextResource.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>TextResource.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Update="Styles\LightTheme.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="View\IsBusyView.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="View\PermissionSelectView.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="View\ScanView.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="View\ServerListItemView.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\FabAccessAPI\FabAccessAPI.csproj" />
  </ItemGroup>
</Project>
